Author Topic: Installing 2.4 Increment Patch ! Error  (Read 1607 times)

Offline RAFpilot

  • Newbie
  • *
  • Posts: 12
    • View Profile
Installing 2.4 Increment Patch ! Error
« on: 15-07-2011, 22:07:45 »
I have full valid installtion of bf2 and fh2 2.3! Before, I downloaded the 2.3 fh2 full installer so there shouldn't be any problems but there are. Installing 2.4 incremental patch error: Look at this log, I got it when it failed at looking for suitability:

13:03:27: Failing with 'Existing installation not valid for this patch' because: wrong existing file hash
13:03:27: Patch suitability verification failed: Existing installation not valid for this patch

thanks. :)


Offline sheikyerbouti

  • Full Member
  • ***
  • Posts: 1.402
  • Yay, Rep feature is dead
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #1 on: 15-07-2011, 22:07:39 »
 Having problems with the 2.4 incremental patch also...

trying to figure shit out, good luck
My Quebec includes Canada

Offline RAFpilot

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #2 on: 15-07-2011, 22:07:09 »
turns out to be something wrong with my objects_client.zip ? I never tampered with it though so why is there an hash error?
13:21:47:   target = C:\Program Files (x86)\EA GAMES\Battlefield 2\mods\fh2\objects_client.zip
13:21:47:   patchlen = 105870455
13:21:47: -> hashfile: C:\Program Files (x86)\EA GAMES\Battlefield 2\mods\fh2\objects_client.zip
13:21:48: Error: Failing with 'Existing installation not valid for this patch' because: wrong existing file hash
13:21:48: Error: Patch suitability verification failed: Existing installation not valid for this patch

Offline DLFReporter

  • FH-Betatester
  • ***
  • Posts: 4.727
  • Betatesting FH2 makes me edgy...
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #3 on: 15-07-2011, 22:07:18 »
Hmmm that sounds not really good. I would try downloading the full patch if possible.
Gravity is a habit that is hard to shake off

Offline RAFpilot

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #4 on: 15-07-2011, 23:07:36 »
fixed the problem. I used the soundpack so I used my backup

Offline Behr

  • Newbie
  • *
  • Posts: 9
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #5 on: 16-07-2011, 14:07:35 »
Could anyone post provide an download link of the sound files for the people that don't have an backup?  :-[
I have the patch downloaded overnight, but I also have used the custom weapon pack and now my patcher wont work.

Offline DLFReporter

  • FH-Betatester
  • ***
  • Posts: 4.727
  • Betatesting FH2 makes me edgy...
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #6 on: 16-07-2011, 14:07:05 »
Sorry, I think the only thing left for you to do is to reinstall 2.3 or get yourself the 2.4 full patcher.
Gravity is a habit that is hard to shake off

Offline bitje

  • Newbie
  • *
  • Posts: 25
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #7 on: 16-07-2011, 19:07:52 »
I had the same problem with 2.3.
The increment patch refused to work.
I then installed the complete patch, and no problem.

Now I tried the 2.4 increment patch, which also refused.
I then installed the complete patch, and it worked.

The tank turret sights are drunken.
They hang loose from the main tank chassis.
They sway all over the place, except over a target.

Offline DLFReporter

  • FH-Betatester
  • ***
  • Posts: 4.727
  • Betatesting FH2 makes me edgy...
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #8 on: 16-07-2011, 22:07:10 »
Check your mouse sensitivity under the tank controls. If need be set it to 0.5!
Gravity is a habit that is hard to shake off

Offline sheikyerbouti

  • Full Member
  • ***
  • Posts: 1.402
  • Yay, Rep feature is dead
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #9 on: 18-07-2011, 23:07:41 »
will reply to the other thread this is in but:

my problem was due to extracting from a drive that was not C:

when using the incremental patch, it can only be succesfully installed from C:/ desktop
My Quebec includes Canada

Offline DLFReporter

  • FH-Betatester
  • ***
  • Posts: 4.727
  • Betatesting FH2 makes me edgy...
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #10 on: 19-07-2011, 08:07:51 »
Now that is something truly new.  ???
Gravity is a habit that is hard to shake off

Offline sheikyerbouti

  • Full Member
  • ***
  • Posts: 1.402
  • Yay, Rep feature is dead
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #11 on: 20-07-2011, 00:07:14 »
Now that is something truly new.  ???

 i guarantee that with every patch for FH2, I end up getting the strangest bugs possible.


 But I also end up finding the fixes...
My Quebec includes Canada

Offline DLFReporter

  • FH-Betatester
  • ***
  • Posts: 4.727
  • Betatesting FH2 makes me edgy...
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #12 on: 20-07-2011, 08:07:23 »
People in the PC Community do tend to have the weirdest systems running.  ;D
Gravity is a habit that is hard to shake off

Offline Die Happy

  • FH-Betatester
  • ***
  • Posts: 1.758
  • Live Long & Die Happy
    • View Profile
Re: Installing 2.4 Increment Patch ! Error
« Reply #13 on: 21-07-2011, 12:07:59 »
if you mod any files i would recommend using the full-installer.

patching files in BF2 is also a problematic. it needs loads of free harddisk space  -> again the full-installer does not have this problem.

patching does usually work but it can have problems that the full-installer wont have.

so unless you are limited by very slow or limited Internet connection using the full-installer is always the preferred way to go.
Live Long & Die Happy